import { Component, Input, EventEmitter } from "@angular/core";
var DateFilterComponent = /** @class */ (function () {
    function DateFilterComponent() {
        this.value = "";
    }
    DateFilterComponent.prototype.changeValue = function (value) {
        this.value = value;
        this.filterEmitter.emit({
            name: this.name,
            value: value,
            operator: "="
        });
    };
    DateFilterComponent.decorators = [
        { type: Component, args: [{
                    selector: "c-date-filter",
                    template: ' <label>{{title}}</label> <input type="date" class="form-control" style="width:155px;display:inline-block" [ngModel]="value" (ngModelChange)="changeValue($event)" /> '
                },] },
    ];
    /** @nocollapse */
    DateFilterComponent.ctorParameters = function () { return []; };
    DateFilterComponent.propDecorators = {
        "title": [{ type: Input },],
        "name": [{ type: Input },],
        "filterEmitter": [{ type: Input },],
    };
    return DateFilterComponent;
}());
export { DateFilterComponent };
//# sourceMappingURL=date.filter.component.js.map