import { Component, EventEmitter, Input } from "@angular/core";
var ShowMoreComponent = /** @class */ (function () {
    function ShowMoreComponent() {
        this.moreResults = false;
        this.loadMoreEmitter = new EventEmitter();
    }
    ShowMoreComponent.prototype.loadMore = function () {
        this.loadMoreEmitter.emit(true);
    };
    ShowMoreComponent.decorators = [
        { type: Component, args: [{
                    selector: "c-show-more",
                    template: '<div *ngIf="moreResults" class="text-center m-t-md clearfix"> <button (click)="loadMore()" class="btn-grey btn">Show more</button> </div> '
                },] },
    ];
    /** @nocollapse */
    ShowMoreComponent.ctorParameters = function () { return []; };
    ShowMoreComponent.propDecorators = {
        "loadMoreEmitter": [{ type: Input },],
    };
    return ShowMoreComponent;
}());
export { ShowMoreComponent };
//# sourceMappingURL=show.more.component.js.map