import { OnChanges, ElementRef, EventEmitter, Renderer2, OnInit } from "@angular/core";
export declare class ICheckDirective implements OnChanges, OnInit {
    element: ElementRef;
    renderer: Renderer2;
    isChecked: any;
    icheckChange: EventEmitter<number>;
    type: string;
    value: any;
    parentElement: Element;
    constructor(element: ElementRef, renderer: Renderer2);
    /**
     * @inheritDoc
     */
    ngOnInit(): void;
    /**
     * Toggles the checkbox.
     *
     * @param event
    */
    toggleCheckbox(event: Event): void;
    /**
     * @inheritdoc
     */
    ngOnChanges(changes: any): void;
    /**
     * Updates the value
     */
    updateCheckStatus(emit?: boolean): void;
    check(): void;
    unCheck(): void;
}
