import { Directive, Input } from "@angular/core";
import { NgForm } from "@angular/forms";
var ListFormResetDirective = /** @class */ (function () {
    function ListFormResetDirective() {
        this.reset = false;
    }
    ListFormResetDirective.decorators = [
        { type: Directive, args: [{
                    selector: "form[listResetForm]"
                },] },
    ];
    /** @nocollapse */
    ListFormResetDirective.ctorParameters = function () { return []; };
    ListFormResetDirective.propDecorators = {
        "reset": [{ type: Input, args: ['promptReset',] },],
        "form": [{ type: Input, args: ['listResetForm',] },],
    };
    return ListFormResetDirective;
}());
export { ListFormResetDirective };
//# sourceMappingURL=list-form-reset.directive.js.map