import { Component, Input } from "@angular/core";
var CounterComponent = /** @class */ (function () {
    function CounterComponent() {
        this.start = 1;
        this.end = 1;
        this.total = 0;
        this.label = "";
        this.customTemplate = false;
    }
    CounterComponent.decorators = [
        { type: Component, args: [{
                    selector: "c-counter",
                    template: '<span *ngIf="total > 0 && !customTemplate"> <strong> <span>{{start}}</span> - <span>{{end}}</span> </strong> of <strong>{{total}}</strong> {{label}} </span> <ng-template [ngIf]="customTemplate"> <ng-content></ng-content> </ng-template> '
                },] },
    ];
    /** @nocollapse */
    CounterComponent.ctorParameters = function () { return []; };
    CounterComponent.propDecorators = {
        "start": [{ type: Input },],
        "end": [{ type: Input },],
        "total": [{ type: Input },],
        "label": [{ type: Input },],
        "customTemplate": [{ type: Input },],
    };
    return CounterComponent;
}());
export { CounterComponent };
//# sourceMappingURL=counter.component.js.map