import { QueryList } from "@angular/core";
import { EventEmitter } from "@angular/core";
import { ListFormResetDirective } from "../../directives/list-form-reset.directive";
export declare class ListPreviewComponent {
    _data: any;
    hidden: boolean;
    visibleEmitter: EventEmitter<{}>;
    dataEmitter: EventEmitter<{}>;
    forms: QueryList<ListFormResetDirective>;
    /**
     * Closes the list preview.
     */
    closePreview(): void;
    /**
     * Gets the data.
     *
     * @returns {any}
     */
    /**
     * Sets the data.
     *
     * @param data
     */
    data: any;
    /**
     * Checks whether the user should be prompted to save changes if form is dirty.
     *
     * @returns {boolean}
     */
    shouldPromptReset(): boolean;
}
