import { Component } from "@angular/core";
import { Input } from "@angular/core";
import { EventEmitter } from "@angular/core";
/**
 * @deprecated Use list view directly.
 */
var ListRowComponent = /** @class */ (function () {
    function ListRowComponent() {
        this.previewHidden = true;
        this.visibleEmitter = new EventEmitter();
        this.dataEmitter = new EventEmitter();
    }
    ListRowComponent.prototype.togglePreviewVisibility = function () {
        this.previewHidden = !this.previewHidden;
        this.visibleEmitter.emit(this.previewHidden);
    };
    ListRowComponent.prototype.setActiveRow = function (row, event) {
        if (event) {
            event.stopPropagation();
            event.preventDefault();
        }
        if (!this.isActiveRow(row)) {
            this.activeRow = row;
            this.dataEmitter.emit(row);
            if (this.isPreviewHidden()) {
                this.togglePreviewVisibility();
            }
        }
        else {
            this.togglePreviewVisibility();
        }
    };
    ListRowComponent.prototype.isActiveRow = function (row) {
        return this.activeRow === row && !this.isPreviewHidden();
    };
    ListRowComponent.prototype.isPreviewHidden = function () {
        return this.previewHidden;
    };
    ListRowComponent.decorators = [
        { type: Component, args: [{
                    selector: "c-list-row",
                    template: '<ng-content></ng-content> '
                },] },
    ];
    /** @nocollapse */
    ListRowComponent.ctorParameters = function () { return []; };
    ListRowComponent.propDecorators = {
        "previewHidden": [{ type: Input },],
        "visibleEmitter": [{ type: Input },],
        "dataEmitter": [{ type: Input },],
    };
    return ListRowComponent;
}());
export { ListRowComponent };
//# sourceMappingURL=list.row.component.js.map